import childProcess from 'child_process';
import fs from 'fs';
export function exists(filePath) {
    try {
        return fs.existsSync(filePath);
    }
    catch (ignore) {
        return false;
    }
}
export function readFile(filePath) {
    return fs.readFileSync(filePath, 'utf8');
}
export function readStdin() {
    return new Promise((resolve) => {
        let content = '';
        process.stdin.resume();
        process.stdin.on('data', buf => {
            content += buf.toString('utf8');
        });
        process.stdin.on('end', () => resolve(content));
    });
}
export function writeFile(filePath, content) {
    return fs.writeFileSync(filePath, content);
}
export function execute(executable, args) {
    return childProcess.spawnSync(executable, args, { encoding: 'utf8' }).stdout;
}
export function replaceExactly(value, searchValue, replaceValue) {
    return value.replace(searchValue, () => replaceValue);
}
//# sourceMappingURL=utils.js.map